cURL
curl --request POST \ --url https://api.growthmarketing.ai/youtube-video-info \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "video_id": "vQXvyV0zIP4", "language_code": "en", "location_code": 2840 } '
{ "success": true, "data": { "data": { "api": "serp", "function": "live", "se": "youtube", "se_type": "video_info", "language_code": "en", "location_code": 2840, "video_id": "vQXvyV0zIP4", "check_url": "https://www.youtube.com/watch?v=vQXvyV0zIP4" }, "result": { "type": "youtube_video_info", "video_id": "vQXvyV0zIP4", "title": "Video Title", "url": "https://www.youtube.com/watch?v=vQXvyV0zIP4", "thumbnail_url": "https://i.ytimg.com/vi/vQXvyV0zIP4/default.jpg", "channel_id": "UCl1hby9X42xkXUiAVcJS81A", "channel_name": "Channel Name", "channel_url": "https://www.youtube.com/channel/UCl1hby9X42xkXUiAVcJS81A", "channel_logo": "https://yt3.ggpht.com/example", "description": "Video description...", "views_count": 1234567, "likes_count": 12345, "comments_count": 1234, "channel_subscribers_count": { "displayed_count": "100K subscribers", "count": 100000 }, "publication_date": "2024-01-01", "timestamp": "2024-01-01 12:00:00 +00:00", "keywords": [ "keyword1", "keyword2" ], "category": "Category Name", "is_live": false, "is_embeddable": true, "duration_time": "10:30", "duration_time_seconds": 630, "streaming_quality": [ { "type": "streaming_quality_element", "label": "1080p", "width": 1920, "height": 1080, "bitrate": 2500000, "mime_type": "video/mp4; codecs=\"avc1.640028\"", "fps": 30 } ] } } }
Retrieves detailed information about a specific YouTube video
Documentation IndexFetch the complete documentation index at: https://docs.growthmarketing.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.growthmarketing.ai/llms.txt
Use this file to discover all available pages before exploring further.
YouTube video ID
"vQXvyV0zIP4"
Language code
"en"
Location code (2840 for US)
2840
Successful response
true
Show child attributes